From: "Pacho Ramos" <pacho@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: games-arcade/ceferino/
Date: Sun, 15 Apr 2018 19:00:44 +0000 (UTC) [thread overview]
Message-ID: <1523818812.75f8655ad8dbf90b30357947ab9cb74d04e02ad1.pacho@gentoo> (raw)
commit: 75f8655ad8dbf90b30357947ab9cb74d04e02ad1
Author: Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Sun Apr 15 18:13:34 2018 +0000
Commit: Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Sun Apr 15 19:00:12 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=75f8655a
games-arcade/ceferino: Stop using games.eclass
Package-Manager: Portage-2.3.28, Repoman-2.3.9
games-arcade/ceferino/ceferino-0.97.8-r2.ebuild | 54 +++++++++++++++++++++++++
1 file changed, 54 insertions(+)
diff --git a/games-arcade/ceferino/ceferino-0.97.8-r2.ebuild b/games-arcade/ceferino/ceferino-0.97.8-r2.ebuild
new file mode 100644
index 00000000000..736477bbe14
--- /dev/null
+++ b/games-arcade/ceferino/ceferino-0.97.8-r2.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit autotools desktop
+
+DESCRIPTION="Super-Pang clone (destroy bouncing balloons with your grapnel)"
+HOMEPAGE="http://www.loosersjuegos.com.ar/juegos/ceferino"
+SRC_URI="mirror://debian/pool/main/c/ceferino/${PN}_${PV}+svn37.orig.tar.gz"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="nls"
+
+RDEPEND="
+ >=media-libs/libsdl-1.2[video]
+ >=media-libs/sdl-image-1.2
+ >=media-libs/sdl-mixer-1.2
+ nls? ( virtual/libintl )
+"
+DEPEND="${RDEPEND}
+ nls? ( sys-devel/gettext )
+"
+
+S="${WORKDIR}/${P}+svn37"
+
+src_prepare() {
+ default
+ eapply "${FILESDIR}"/${P}-latin1.patch
+ sed -i \
+ -e '/^INCLUDES/s:\$(datadir)/locale:/usr/share/locale:' \
+ src/Makefile.am || die
+ eautoreconf
+}
+
+src_configure() {
+ econf $(use_enable nls)
+}
+
+src_install() {
+ default
+ newicon data/ima/icono.png ${PN}.png
+ make_desktop_entry ceferino "Don Ceferino Hazaña"
+}
+
+pkg_postinst() {
+ if ! has_version "media-libs/sdl-mixer[mod]" ; then
+ ewarn
+ ewarn "To hear music, you will have to rebuild media-libs/sdl-mixer"
+ ewarn "with the \"mod\" USE flag turned on."
+ ewarn
+ fi
+}
next reply other threads:[~2018-04-15 19:00 UTC|newest]
Thread overview: 10+ messages / expand[flat|nested] mbox.gz Atom feed top
2018-04-15 19:00 Pacho Ramos [this message]
-- strict thread matches above, loose matches on Subject: below --
2021-08-07 2:36 [gentoo-commits] repo/gentoo:master commit in: games-arcade/ceferino/ Ionen Wolkens
2021-08-02 18:19 Ionen Wolkens
2021-08-02 18:19 Ionen Wolkens
2020-11-01 22:21 James Le Cuirot
2019-03-19 22:04 James Le Cuirot
2018-04-15 19:00 Pacho Ramos
2017-01-04 15:29 Agostino Sarubbo
2016-09-26 12:36 Agostino Sarubbo
2016-05-07 0:23 Michael Sterrett
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1523818812.75f8655ad8dbf90b30357947ab9cb74d04e02ad1.pacho@gentoo \
--to=pacho@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox